Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aglets.log.quiet
Class QuietCategory

    java.lang.Object
      |
      +--org.aglets.log.quiet.QuietCategory

All Implemented Interfaces:
  LogCategory

public class QuietCategory
extends java.lang.Object
implements LogCategory

Logging category that does absolutely nothing. This will probably be the default setup.

Since:
Version:
  $Revision: 1.1.1.1 $ $Date: 2001/07/28 06:34:39 $ $Author: kbd4hire $
Author:
  Robert Bergstrom

Constructor Summary
`QuietCategory(java.lang.String name)` Constructor

Method Summary
`void` | `debug(java.lang.Object msg)` Logs a message at debug priority.
`void` | `error(java.lang.Object msg)` Logs a message at error priority.
`void` | `error(java.lang.Object msg, java.lang.Exception exc)` Logs a message at error priority and passes an exception for logging.
`void` | `fatal(java.lang.Object msg)` Logs a message at fatal priority.
`void` | `info(java.lang.Object msg)` Logs a mesasge at info priority.
`boolean` | `isDebugEnabled()` Check whether this category is enabled for the `DEBUG` priority.
`void` | `warn(java.lang.Object msg)` Logs a message at warn priority.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuietCategory

    public QuietCategory(java.lang.String name)

  Constructor
  Parameters:
    `name` - Name of category used as a prefix to the log messages.

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Check whether this category is enabled for the `DEBUG` priority.

  This version always returns true.

  Specified by:
    `isDebugEnabled` in interface `LogCategory`
  Following copied from interface: `org.aglets.log.LogCategory`
  Returns:
    boolean - `true` if this category is debug enabled, `false` otherwise.

### fatal

    public void fatal(java.lang.Object msg)

  Logs a message at fatal priority.
  Specified by:
    `fatal` in interface `LogCategory`
  Parameters:
    `msg` - Message to be logged.
  Since:
    1.0

### error

    public void error(java.lang.Object msg)

  Logs a message at error priority.
  Specified by:
    `error` in interface `LogCategory`
  Parameters:
    `msg` - Message to be logged.
  Since:
    1.0

### error

    public void error(java.lang.Object msg,
                      java.lang.Exception exc)

  Logs a message at error priority and passes an exception for logging.
  Specified by:
    `error` in interface `LogCategory`
  Parameters:
    `msg` - Message to be logged.
    `exc` - Description of Parameter
  Since:
    1.0

### warn

    public void warn(java.lang.Object msg)

  Logs a message at warn priority.
  Specified by:
    `warn` in interface `LogCategory`
  Parameters:
    `msg` - Message to be logged.
  Since:
    1.0

### info

    public void info(java.lang.Object msg)

  Logs a mesasge at info priority.
  Specified by:
    `info` in interface `LogCategory`
  Parameters:
    `msg` - Message to be logged.
  Since:
    1.0

### debug

    public void debug(java.lang.Object msg)

  Logs a message at debug priority.
  Specified by:
    `debug` in interface `LogCategory`
  Parameters:
    `msg` - Message to be logged.
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD